package com.middlemind.Eds3;

import com.middlemind.Eds3.unity.GameObjectWrapper;
import java.net.DatagramPacket;
import java.net.DatagramSocket;

/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public interface HandleEds3ClientComm {
    public void HandleCurrentModeResult(boolean error, Eds3Client eds3client, Eds3Client.Eds3ClientMode mode, Eds3Client.Eds3ClientMode prevMode, Eds3Client.Eds3ClientMode suggMode);
    public void HandleDeserializeGameObjectWrapper(int objsLen, int spawnId, byte[] dataIn, int offset, int objsCnt, Eds3Client eds3client, GameObjectWrapper gow);
    public void HandleSafeStopComplete();
    public void HandleNetworkError(Exception e);
    public void HandleProcessModeUnknown(DatagramPacket receivePacket, DatagramSocket clientSocket, Eds3Client edsclient);
    public void HandleEds3ClientInit(Eds3Client eds3client);
}
