package com.middlemind.Eds3;

import com.middlemind.Eds3.unity.GameObjectWrapper;

/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public interface HandleEds3ServerComm {
    public void HandleProcessModeUnknown(byte[] dataIn, Eds3Server eds3server);
    public byte[] HandleProcessServerGame(long timeStamp, Eds3Server eds3server);
    public byte[] HandleObjPublication(byte[] dataIn, int dataLen, Eds3Server eds3server);
    public GameObjectWrapper GetEmptyGameObjectWrapper();
    public void HandleEds3ServerInit(Eds3Server eds3server);
}
