package com.middlemind.Eds3;

import com.middlemind.Eds3.unity.GameObjectWrapper;
import java.util.ArrayList;
import java.util.Hashtable;

/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public interface HandleGameObjectWrapperSerialization {
    GameObjectWrapper BeforeSerializeGow(GameObjectWrapper gow);
    byte[] AfterSerializeGow(byte[] b, GameObjectWrapper gow);
    void SerializeIteration(GameObjectWrapper gow, byte[] b, byte[] ret, int pos);
    void SerializeIteration(GameObjectWrapper gow, byte[] b, ArrayList<byte[]> pRet, int pos);    
    
    byte[] BeforeDeserializeGow(byte[] b, GameObjectWrapper gow);
    GameObjectWrapper AfterDeserializeGow(GameObjectWrapper gow);    
    void DeserializeIteration(GameObjectWrapper gow, byte[] b, ArrayList<GameObjectWrapper> ret, int pos);
    void DeserializeIteration(GameObjectWrapper gow, byte[] b, Hashtable<Integer, GameObjectWrapper> ret, int pos);    
}
