package com.middlemind.Eds3.unity;

import com.middlemind.Eds3.unity.GameObjectWrapperDefault.GameObjectWrapperSerMode;
/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public interface GameObjectWrapper {
    public GameObjectWrapperSerMode GetObjSerMode();
    public void SetObjSerMode(GameObjectWrapperSerMode osm);
    
    public int[] GetBinaryLengths();
    public void SetBinaryLengths(int[] bl);
    public int[] GetBinaryOffsets();
    public void SetBinaryOffsets(int[] bo);
    public int GetTotalLength();
    public void SetTotalLength(int len);
    
    public long GetLastSerTimeStamp();
    public void SetLastSerTimeStamp(long l);
    public boolean GetIsNetworkObject();
    public void SetIsNetworkObject(boolean isNo);
    public int GetMode();
    public void SetMode(int m);
    public int GetPlayerId();
    public void SetPlayerId(int p);
    
    public float GetX();
    public void SetX(float inX);
    public float GetY();
    public void SetY(float inY);
    public float GetZ();
    public void SetZ(float inZ);
    
    public float GetRotX();
    public void SetRotX(float inX);
    public float GetRotY();
    public void SetRotY(float inY);
    public float GetRotZ();
    public void SetRotZ(float inZ);
    public float GetRotW();
    public void SetRotW(float inW);
    
    public float GetVelX();
    public void SetVelX(float velX);
    public float GetVelY();
    public void SetVelY(float velY);
    public float GetVelZ();
    public void SetVelZ(float velZ);
    
    public boolean GetIsPlayerCharacter();
    public void SetIsPlayerCharacter(boolean ipc);
    public int GetId();
    public void SetId(int inId);

    public int GetTypeId();
    public void SetTypeId(int inTypeId);    
    
    public byte[] Serialize();
    public void Deserialize(byte[] dIn);
    public boolean Equals(GameObjectWrapper gow);
}
